﻿@media only screen and (max-width: 400px) {

    div.form-container {
        margin-right: 5px;
        position: relative;
        display: flex;
        flex-direction: column;
        width: 45vh;
        height: 70vh;
        border-radius: 30px;
        overflow: hidden;
        background: rgba(255, 255, 255, 0.3);
        backdrop-filter: blur(20px);
    }

    div.social-login {
        margin-top: 10px;
    }

    div.col-1 {
        display: none;
    }

    div.phone_logo {
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 20px;
        padding-bottom: 20px;
    }

        div.phone_logo a {
            background: none;
        }

    div.col-2 {
        margin-left: 8px;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 40vh;
        padding: 20px;
    }
}


@media only screen and (max-width: 940px) {

    div.form-container {
        position: relative;
        display: flex;
        flex-direction: column;
        width: 45vh;
        height: 60vh;
        border-radius: 30px;
        overflow: hidden;
        background: rgba(255, 255, 255, 0.3);
        backdrop-filter: blur(20px);
    }
    
    div.col-1{
        display: none;
    }

    div.phone_logo{
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 20px;
        padding-bottom: 60px;

    }

    div.phone_logo a{
       background: none;
    }

    div.col-2 {
        margin-left: 8px;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 40vh;
        padding: 20px;
    }

}

/*===prevents scrolling===*/
body, html{
    height: 100%;
    overflow: hidden;
}

body {
    background: url(../Content/images/bgLogin2.jpg);
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    padding: 0 20px;
}

/*====== Form ======*/
.form-container{
    position: relative;
    display: flex;
    width: 90vh;
    height: 50vh;
    border-radius: 30px;
    overflow: hidden;
    background: rgba(255, 255, 255, 0.3);
    backdrop-filter: blur(20px);
}

/*====== Image Column ======*/
.col-1{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 50vh;
}

.image-layer{
    position: relative;
}

.form-image-main{
    width: 40vh;
    height: auto;
}

.form-image{
    position: absolute;
    left: 0;  
}

/*=== GMSWeb ===*/
.featured-words{
    margin: 20px;
    text-align: center;
    color: black;
    width: 20vh;
    height: 10vh;
    font-weight: 600;
    font-size: 5.0vh;
}

/*====== Sign-In Column ======*/
.col-2{
    display: flex;
    align-items:center;
    justify-content: center;
    position: relative;
    width: 45vh;
    padding: 20px;
}

.phone_logo {
    display: none;
}

.btn-box{
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-top: 20px;
}

.btn{
    font-weight: 500;
    padding: 5px 30px;
    border: none;
    border-radius: 30px;
    background: rgba(255, 255, 255, 0.3);
    color: #fff;
    box-shadow: 0 5px 10px rgba(255, 255, 255, 0.2);
    cursor: pointer;
    transition: .2s;
}

.btn-1{
    background: #1F4D7E;
}

.btn hover{
    opacity: 0.85;
}

.login-form{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    padding: 0 0vw;
    transition: .3s;
}

.sign-in{
    margin: 30px 0;
    color: black;
    font-size: 5.0vh;
    font-weight: 600;
}

.account-details {
    margin: 10px;
    color: black;
    font-size: 2.0vh;
    font-weight: 100;
}

.form-inputs{
    width: 100%;
}


/*=== Username and Password==*/

::placeholder {
    color: #5e5e57;
    font-size: 15px;
}

.input-box {
    position: relative;
}

.input-box .icon{
    position: absolute;
    top: 50%;
    right: 15px;
    transform: translateY(-50%);
    color: #000;
}

.input-submit{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    width: 40vh;
    height: 5vh;
    padding: 0 15px;
    margin: 10px 0;
    color: #fff;
    background: #1F4D7E;
    border: none;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.2);
    cursor: pointer;
    transition: .3s;
    font-size: 20px;
}

.input-submit:hover{
    gap: 15px;
}

/*=== Social Links ===*/
.login-form a{
    text-decoration: none;
    color: #000;
    display: flex;
    align-items: center;
    width: 6vh;
    height: 6vh;
    justify-content: center;
    background: rgba(255, 255, 255, 0.3);
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.2);
    transition: .2s;
}

.social-login{
    font-size: 40px;
    display: flex;
    gap: 20px;
    margin-top: 30px;
}

social-login i{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 40px;
    width: 40px;
    color: #000;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.2);
    transition: .2s;
}

.social-login i:hover{
    transform: scale(0.9);
}
